// interopsvcdimerpcObj.h : Declaration of the CinteropsvcdimerpcObj

#pragma once
#include "resource.h"       // main symbols

#include "interopsvcdimerpc.h"


// CinteropsvcdimerpcObj

class ATL_NO_VTABLE CinteropsvcdimerpcObj : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CinteropsvcdimerpcObj, &CLSID_interopsvcdimerpcObj>,
	public IDispatchImpl<IinteropsvcdimerpcObj, &IID_IinteropsvcdimerpcObj, &LIBID_interopsvcdimerpcLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CinteropsvcdimerpcObj()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_INTEROPSVCDIMERPCOBJ)


BEGIN_COM_MAP(CinteropsvcdimerpcObj)
	COM_INTERFACE_ENTRY(IinteropsvcdimerpcObj)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:
	STDMETHOD(EchoAttachmentAsString)(/*[in]*/ VARIANT In, /*[out, retval]*/ BSTR *Out);
	STDMETHOD(EchoBase64AsAttachment)(/*[in]*/ VARIANT In, /*[out, retval]*/ VARIANT *Out);
	STDMETHOD(EchoAttachmentAsBase64)(/*[in]*/ VARIANT In, /*[out, retval]*/ VARIANT *Out);
	STDMETHOD(EchoAttachments)(/*[in]*/ VARIANT In, /*[out, retval]*/ VARIANT *Out);
	STDMETHOD(EchoAttachment)(/*[in]*/ VARIANT In, /*[out, retval]*/ VARIANT *Out);

};

OBJECT_ENTRY_AUTO(__uuidof(interopsvcdimerpcObj), CinteropsvcdimerpcObj)
